package com.emr.service.ipml;

import com.emr.dao.Archive_MasterMapper;
import com.emr.dao.OverdueRemindMapper;
import com.emr.service.OverdueRemindService;
import com.emr.vo.OverdueRemindVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class OverdueRemindServiceImpl implements OverdueRemindService {

    @Autowired
    private OverdueRemindMapper overdueRemindMapper;
    @Override
    public String selectDoctorId(OverdueRemindVO overdueRemindVO) {
        return overdueRemindMapper.selectDoctorId(overdueRemindVO);
    }

    @Override
    public String selectoverdueNumAndDoctorId(OverdueRemindVO overdueRemindVO) {
        return overdueRemindMapper.selectoverdueNumAndDoctorId(overdueRemindVO);
    }

    @Override
    public List<OverdueRemindVO> selectoverdueNumAndQualityControl(@Param("deptIdQuality")String deptIdQuality) {
        return overdueRemindMapper.selectoverdueNumAndQualityControl(deptIdQuality);
    }

    @Override
    public int insertRemind(OverdueRemindVO overdueRemindVO) {
        return overdueRemindMapper.insertRemind(overdueRemindVO);
    }

    @Override
    public int selectOverdueStatcByDoctorId(OverdueRemindVO overdueRemindVO) {
        return overdueRemindMapper.selectOverdueStatcByDoctorId(overdueRemindVO);
    }

    @Override
    public int updatetOverdueStatcByDoctorId(OverdueRemindVO overdueRemindVO) {
        return overdueRemindMapper.updatetOverdueStatcByDoctorId(overdueRemindVO);
    }

    @Override
    public List<OverdueRemindVO> selectoverdueDate(String deptIdQuality) {
        return overdueRemindMapper.selectoverdueDate(deptIdQuality);
    }
}
